package com.jesuspinar.miobjeto.controller;

import com.jesuspinar.miobjeto.model.PersonE;
import com.jesuspinar.miobjeto.serializable.controller.ObjReader;
import com.jesuspinar.miobjeto.serializable.model.People;
import com.jesuspinar.miobjeto.serializable.model.Person;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;

import java.io.File;
import java.net.URL;
import java.util.ResourceBundle;

public class DataTbl implements Initializable {
    @FXML
    public TableView<PersonE> tvData;
    @FXML public TableColumn<PersonE, Integer> idColumn;
    @FXML public TableColumn<PersonE, String> nameColumn;
    @FXML public TableColumn<PersonE, Integer> ageColumn;
    private People data;

    private ObservableList<Person> getPeople() {
        File file = new File("person.bin");

        ObservableList<Person> people = null;

        if (file.exists()) {
            //Get data form the bin
            data = (People) ObjReader.read(file);
            System.out.println(data.toString());

            people = FXCollections.observableArrayList(data.getData());
        }
        return people;
    }

    @Override
    public void initialize(URL location, ResourceBundle resources) {
        //Add data to colum
        idColumn.setCellValueFactory(new PropertyValueFactory<>("idColumn"));
        nameColumn.setCellValueFactory(new PropertyValueFactory<>("nameColumn"));
        ageColumn.setCellValueFactory(new PropertyValueFactory<>("ageColumn"));

        tvData.setItems(getPeople());
    }
}
